Package org.gradle.util

## Class RelativePathUtil

- java.lang.Object
- - org.gradle.util.RelativePathUtil

-     @Deprecated
      public class RelativePathUtil
      extends java.lang.Object

  Deprecated.
  Will be removed in Gradle 9.0.
  This class is only here to maintain binary compatibility with existing plugins.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RelativePathUtil()` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `relativePath​(java.io.File from, java.io.File to)` | Deprecated. Returns a relative path from 'from' to 'to'

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RelativePathUtil

          public RelativePathUtil()

      Deprecated.

  - ### Method Detail

    - #### relativePath

          public static java.lang.String relativePath​(java.io.File from,
                                                      java.io.File to)

      Deprecated.
      Returns a relative path from 'from' to 'to'
      Parameters:
        `from` - where to calculate from
        `to` - where to calculate to
      Returns:
        The relative path